View Issue Details

IDProjectCategoryView StatusLast Update
0016343ScribusStory Editor / Text Framespublic2020-11-21 18:08
Reportersreerajp Assigned Tojghali  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOS10OS Version1909
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016343: Scribus crashes when copy/pasting text if style is not in target document
DescriptionScribus crashing if we paste a text with a paragraph style not defined in the pasting document but available in the source document.
Steps To ReproduceOpen a document.
Create a new paragraph style
Add a text frame
Type some text
Apply the newly created paragraph style to the typed text
Open a new Document
Draw a text frame
Now copy the text from previous document to the text frame of the new document.

Scribus will crash
TagsNo tags attached.
PatchNo

Activities

PeterBenedek

2020-11-21 16:41

developer   ~0048466

Tested in LinuxMint 20.x; Scribus 1.5.7svn; r24267

The fix is works, but the style in the style manager is not created (that is, it is not visible).

Open a document.
Create a new paragraph style
Add a text frame
Type some text
Apply the newly created paragraph style to the typed text
Open a new Document
Draw a text frame
Now copy the text from previous document to the text frame of the new document.

Now check the Style Manager (press F3 button)
Style of copyed text is not appear.
and now...
Create a new style (F3 -- New -- Paragraph Style)
In style manager is appear the new style and the style of copyed text too.

jghali

2020-11-21 16:48

administrator   ~0048467

This is a different issue.

jghali

2020-11-21 17:22

administrator   ~0048468

Anyway this is fixed in r24269.

PeterBenedek

2020-11-21 18:08

developer   ~0048469

Thank You Jean.

Issue History

Date Modified Username Field Change
2020-11-17 10:36 sreerajp New Issue
2020-11-20 13:21 jghali Severity major => crash
2020-11-20 13:21 jghali Summary Scribus Crashing if there is no paragraph style in the page => Scribus crashes when copy/pasting text if style is not in target document
2020-11-20 14:45 jghali Assigned To => jghali
2020-11-20 14:45 jghali Status new => resolved
2020-11-20 14:45 jghali Resolution open => fixed
2020-11-20 14:45 jghali Fixed in Version => 1.5.7.svn
2020-11-21 16:41 PeterBenedek Note Added: 0048466
2020-11-21 16:42 PeterBenedek Status resolved => feedback
2020-11-21 16:42 PeterBenedek Resolution fixed => reopened
2020-11-21 16:48 jghali Status feedback => resolved
2020-11-21 16:48 jghali Resolution reopened => fixed
2020-11-21 16:48 jghali Note Added: 0048467
2020-11-21 17:22 jghali Note Added: 0048468
2020-11-21 18:08 PeterBenedek Note Added: 0048469